Create a brand
curl --request POST \
--url https://api.zerorank.ai/api/v1/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme",
"domains": [
"acme.com"
],
"color": "#FF4D00"
}
'import requests
url = "https://api.zerorank.ai/api/v1/brands"
payload = {
"name": "Acme",
"domains": ["acme.com"],
"color": "#FF4D00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme', domains: ['acme.com'], color: '#FF4D00'})
};
fetch('https://api.zerorank.ai/api/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 12,
"name": "Acme",
"trackedNames": [
"<string>"
],
"nameRegex": "<string>",
"useRegex": false,
"domains": [
"acme.com"
],
"domain": "acme.com",
"logoUrl": "<string>",
"industry": "<string>",
"description": "<string>",
"status": "active",
"type": "own",
"color": "#FF4D00",
"relevancyScore": 87,
"relevancyCalculatedAt": "2023-11-07T05:31:56Z",
"workspaceId": 7,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "Brand created successfully"
}{
"success": false,
"message": "Invalid, revoked, or expired API key",
"code": "API_KEY_INVALID"
}{
"success": false,
"message": "This API key is read-only; a key with the \"write\" scope is required",
"code": "INSUFFICIENT_SCOPE"
}{
"success": false,
"message": "Validation failed",
"errors": [
{
"field": "text",
"message": "The text field is required"
}
]
}{
"success": false,
"message": "API rate limit exceeded. Please slow down.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 30
}Create a brand
Adds a brand to track. Needs a key with the write scope.
POST
/
brands
Create a brand
Authorizations
Send your workspace API key as Authorization: Bearer zr_live_….
Body
application/json
The brand's main name.
Required string length:
1 - 255Maximum array length:
50Required string length:
1 - 255Maximum string length:
500Maximum array length:
20Required string length:
1 - 255Available options:
active, hidden A hex color like #FF4D00.
Pattern:
^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$⌘I